Find the svn repository with svn info
[invirt/packages/invirt-dev.git] / sx-build-release
index 7aeafe3..9f4a17e 100755 (executable)
@@ -1,5 +1,5 @@
-#!/bin/sh 
-svnuri=file:///afs/sipb.mit.edu/project/xen/svn
+#!/bin/bash
+svnuri=`svn info | sed -n 's/^Repository Root: //p'`
 
 set -e
 if  [ $# -ne 1 ] ; then
@@ -13,15 +13,18 @@ if [ -d build-release ] ; then
     fi
 
 package=$1
-svn co $svnuri/$package build-release
+svn export $svnuri/$package build-release
 olddir=`pwd`
 cd build-release/`basename $package`
-dpkg-parsechangelog \
-|eval  `perl '-F:\s+' -lane 'print  $F[0]."=".$F[1] if /^Version|^Source|^Distribution/'`
+eval  `perl '-F:\s+' -lane 'print  $F[0]."=".$F[1] if /^Version|^Source|^Distribution/' \
+    <(dpkg-parsechangelog)`
+
 
 dpkg-buildpackage -us -uc -rfakeroot
+svn mkdir $svnuri/package_tags/$Source -m "Create package tags directory" ||true
 svn cp  $svnuri/$package $svnuri/package_tags/$Source/$Version -m "Tag $Version of $Source"
-echo reprepro-env include $Distribution  ../$Source*$Version.changes
+cd ..
+ reprepro-env include $Distribution  `pwd`/${Source}_*${Version}*.changes
 
 cd $olddir
 rm -rf build-release